%global pypi_name XStatic-JQuery.quicksearch

Name:           python-XStatic-JQuery-quicksearch
Version:        2.0.3.1
Release:        2%{?dist}
Summary:        JQuery-quicksearch (XStatic packaging standard)

License:        MIT
URL:            http://plugins.jquery.com/jquery.quicksearch/
Source0:        https://pypi.python.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  web-assets-devel

Requires: python-XStatic
Requires: web-assets-filesystem


%description
JQuery.quicksearch JavaScript library packaged for setuptools 
(easy_install) / pip.

This package is intended
to be used by **any** project that needs these files.

It intentionally does
**not** provide any extra code except some metadata
**nor** has any extra
requirements. 


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/jquery_quicksearch'|" xstatic/pkg/jquery_quicksearch/__init__.py



%build
# due 
# https://bitbucket.org/thomaswaldmann/xstatic/issue/2/
# this package can not be built with python-XStatic installed.
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}/%{_jsdir}/jquery_quicksearch
mv %{buildroot}/%{python2_sitelib}/xstatic/pkg/jquery_quicksearch/data/jquery.quicksearch.js %{buildroot}/%{_jsdir}/jquery_quicksearch



%files
%doc README.txt
%{python2_sitelib}/xstatic/pkg/jquery_quicksearch
%{python2_sitelib}/XStatic_JQuery.quicksearch-%{version}-py%{python_version}-*.pth
%{python2_sitelib}/XStatic_JQuery.quicksearch-%{version}-py%{python_version}.egg-info
%{_jsdir}/jquery_quicksearch

%changelog
* Thu Sep 04 2014 Matthias Runge <mrunge@redhat.com> - 2.0.3.1-2
- change BR to python2-devel (rhbz#1134900)

* Thu Aug 28 2014 Matthias Runge <mrunge@redhat.com> - 2.0.3.1-1
- Initial package.
